# GET /api/v1/payment-terms/{term_id}

> Get payment term

- **Tag:** payment-terms
- **Operation ID:** `get_payment_term_api_v1_payment_terms__term_id__get`

## Description

Get details of a specific payment term.

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Parameters

- `term_id` (path, string, required)

## Responses

### 200 — Successful Response

Schema: `PaymentTermResponse`

- `id` (string · required) — Payment term UUID
- `business_id` (string · required) — Business UUID
- `name` (string · required) — Display name
- `days_until_due` (integer · required) — Days until payment is due
- `discount_percent` (number) — Early payment discount percentage
- `discount_days` (integer) — Days to receive discount
- `is_default` (boolean · required) — Is default payment term
- `is_active` (boolean · required) — Is active
- `created_at` (string · date-time · required) — Creation timestamp
- `updated_at` (string · date-time · required) — Last update timestamp

### 401 — Unauthorized - Authentication required

### 403 — Forbidden - Insufficient permissions

### 404 — Not Found - Resource does not exist

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X GET 'https://api.ondayzero.com/api/v1/payment-terms/{term_id}' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/payment-terms/{term_id}', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
  },
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

response = httpx.get("https://api.ondayzero.com/api/v1/payment-terms/{term_id}", headers=headers)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/payment-terms/get-payment-term
- OpenAPI slice: https://www.ondayzero.com/docs/reference/payment-terms/get-payment-term/openapi.json
- Other endpoints in **payment-terms**: https://www.ondayzero.com/docs/reference/payment-terms
